# One Shoulder Glitter Midi Dress

Manufacturer mango
Vendor mango
Availability In stock
Stock Out of stock
(no reviews)

$49.00 $350 30% Off

$100.00 $49.00 Sale

Excluding taxes: $49.00

###### Available Options

Color
Blue (+$50)
Green (+$50)
Navy (+$50)
Blue (+$50)
Green (+$50)
Navy (+$50)
Size
XS
M
L
XL
One time purchase
Subscription
Subscription
Subscription description
Auto-renews, skip or cancel anytime.
View subscription policy

Add to Wish List Compare product

### Related products

Sale
Product 8

From 100.0000

100.0000

100.0000

Out of stock Add to cart Add to cart
Product was added to cart.
Loading...

#####

| Product name 1 $123.20 Color: Red () Size: XL () Material: Wool () Subscription plan: Subscription plan |
| Product name 1 $123.20 |
Empty cart No products added yet!

Sub-Total: | - $101.00
Eco Tax (2.00): | $2.00
VAT (19%): | $20.20
Total: | $123.20
Total: | $0

View cart
Checkout